body {
    background-color: white;
    font-size: 12px;
    overflow-x: auto;
    /* Permite el desplazamiento horizontal */
}

.mainContainer {
    width: 1100px;
    margin: auto;
    padding: 20px;
}

.DBlayout {
    width: 100%;
    display: flex;
    gap: 16px;
    flex-wrap: wrap;
}

.DBEmployeesIn {
    width: 300px;
    background-color: rgb(202, 247, 247);
    margin: auto;
}

.DBHolidays {
    width: 300px;
    background-color: rgb(210, 194, 248);
    margin: auto;
}

.DBTableHolidays {
    display: grid;
    grid-template-columns: 60% 40%;
    grid-column-gap: 5px;
    grid-row-gap: 5px;

}

.DBTableEmployees {
    display: grid;
    grid-template-columns: 70% 30%;
    grid-column-gap: 5px;
    grid-row-gap: 5px;

}

.DBbarnStatus {
    width: 300px;
    background-color: rgb(180, 245, 201);
    margin: auto;
    padding: 10px;
    font-size: 10px;
}

.DBbarnStatusHead {
    font-weight: bold;
    background-color: rgb(136, 239, 168);

}

.DBbarnStatusTot {
    font-weight: bold;
    background-color: rgb(136, 239, 168);
    text-align: center;


}

.DBTableBarnStatus {
    display: grid;
    grid-template-columns: repeat(10, 9%);
    grid-column-gap: 3px;
    grid-row-gap: 5px;

}


.DBBirthdays {
    width: 300px;
    background-color: rgb(244, 241, 141);
    margin: auto;
}

.DBTableBirthdays {
    display: grid;
    grid-template-columns: 52% 22% 11% 8%;
    grid-column-gap: 5px;
    grid-row-gap: 5px;

}

.DBCustomers {
    width: 300px;
    background-color: rgb(243, 216, 218);
    margin: auto;
}



.DBTableCustomers {
    display: grid;
    grid-template-columns: 15% 35% 20% 30%;
    /* grid-column-gap: 5px; */
    grid-row-gap: 5px;
    font-size: 10px;

}



.DBTableCustomersItem {
    border-bottom: 2px solid black;
}

.borderFila {
    border-bottom: 1px solid rgb(136, 63, 63);
}

.DBRequests10 {
    width: 300px;
    background-color: #ccc6c6;
    margin: auto;
}

.DBRequests20 {
    width: 300px;
    background-color: #ccc6c6;
    margin: auto;
}

.DBTableRequests {
    display: grid;
    grid-template-columns: auto 30% 10%;
    grid-column-gap: 5px;
    grid-row-gap: 5px;
    font-size: 10px;

}

.DBTableRequests1 {
    display: grid;
    grid-template-columns: 20% auto 25% 10%;
    grid-column-gap: 2px;
    grid-row-gap: 5px;
    font-size: 12px;
    padding: 2px;
}

.DBOrphanContracts {
    width: 300px;
    background-color: #FFC196;
    margin: auto;
}

.DBTableOrphanContracts {
    display: grid;
    grid-template-columns: 15% auto 20%;
    grid-column-gap: 5px;
    grid-row-gap: 5px;
    font-size: 10px;

}

.imgProfile {
    width: 100px;
    height: auto;
    border-radius: 50%;
}


.DBTableCustomersStatus {
    display: grid;
    grid-template-columns: repeat(9, 9%);
    grid-column-gap: 5px;
    grid-row-gap: 5px;
    font-size: 12px;
    font-family: 'Courier New', Courier, monospace;

}

.DBTableCustomersStatus div {
    text-align: center;
}

.customerTotals {
    border-top: 1px solid;
    line-height: 25px;
}

.warningYellow {
    background-color: yellow;
}

.warningRed {
    background-color: red;
}

.warningPurple {
    background-color: purple;
    color: white;
}

.warningGreenSussie {
    background-color: #679e62;
}

.cogPink {
    background-color: rgb(247, 184, 184) !important;
    color: rgb(255, 255, 255) !important;
}

.cogRed {
    background-color: rgb(249, 0, 0) !important;
    color: rgb(255, 255, 255) !important;
}

.cogYellow {
    background-color: rgb(249, 253, 121) !important;
    color: black !important;
}

.cogGreen {
    background-color: rgb(168, 245, 133) !important;
    color: black !important;
}

.cogPink1 {
    background-color: rgb(255, 0, 0) !important;
    color: rgb(255, 255, 255) !important;
}

.cogRed1 {
    background-color: rgb(255, 0, 0) !important;
    color: rgb(255, 255, 255) !important;
}

.cogYellow1 {
    background-color: rgb(250, 233, 2) !important;
    color: black !important;
}

.cogGreen1 {
    background-color: rgb(50, 159, 0) !important;
    color: black !important;
}


.DBAttendanceNW {
    width: 300px;
    background-color: #beef00;
    margin: auto;
}


.DBTableAttendanceNW {
    display: grid;
    grid-template-columns: 30% auto;
    grid-column-gap: 5px;
    grid-row-gap: 5px;
    font-size: 10px;

}

.DBAttendanceNWInfo {
    width: 300px;

    margin: auto;
}

.DBTableAttendanceNWInfo {
    display: grid;
    grid-template-columns: repeat(3, 80px);
    font-size: 12px;

}

math {
    font-family: 'Courier New', Courier, monospace;
    font-size: 12px;
}

.user-icon-container {
    position: fixed;
    top: 10px;
    right: 10px;
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
}
.user-icon {
    width: 32px;
    height: 32px;
    border-radius: 50%;
    border: 1px solid #ccc;
}
.user-name {
    font-size: 16px;
    color: #333;
    position: relative;
}
.user-icon-container:hover .user-name::after {
    content: attr(data-fullname); /* Muestra el nombre completo */
    position: absolute;
    top: 35px;
    right: 0;
    background-color: #333;
    color: #fff;
    padding: 5px 10px;
    border-radius: 5px;
    white-space: nowrap;
    z-index: 1000;
    font-size: 14px;
}

.iconVerified-text {
    display: flex;
    align-items: center; /* Centra verticalmente texto e ícono */
    gap: 8px; /* Espacio entre el texto y el ícono */
}

.iconVerified-text img {
    width: 16px; /* Ajusta el tamaño del ícono */
    height: 16px;
}

.faLeft{
    text-align: left !important;
}
.faCenter{
    text-align: center !important;
}
.faRight{
    text-align: right !important;
}

.faIcon {
    width: 25px;
    cursor: pointer;
}

.mobileContainer {
    margin: 20px auto;
    padding: 10px;

    /* El ancho máximo será 90% del contenedor padre */
    width: 400px;
    /* Se ajustará al 100% del contenedor */
    box-sizing: border-box;
    /* Incluye el padding dentro del ancho */
    font-size: 12px;
}

.clickable {
    cursor: pointer;
}

.badge {
    display: inline-block;
    padding: 4px 10px;
    font-size: 14px;
    font-weight: bold;
    color: white;
    background-color: red;
    border-radius: 12px;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
}

@media screen and (max-width: 600px) {
    .mainContainer {
        width: 100%;
    }
}